cURL
curl --request GET \
--url https://app.closerx.ai/api/llm/update/{llm_id}/ \
--header 'Company-Name: <company-name>' \
--header 'api_key: <api-key>'import requests
url = "https://app.closerx.ai/api/llm/update/{llm_id}/"
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Company-Name': '<company-name>', api_key: '<api-key>'}
};
fetch('https://app.closerx.ai/api/llm/update/{llm_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"pk": 123,
"model": "<string>",
"states": "<string>",
"s2s_model": "<string>",
"model_temperature": "<string>",
"general_prompt": "<string>",
"general_tools": [
{}
],
"begin_message": "<string>",
"ghl_book_meeting": true,
"price_set_per_model": "<string>",
"custom_message": "<string>",
"default_dynamic_variables": {}
},
"prices": {
"gpt-5": 123,
"gpt-5-mini": 123,
"gpt-5-nano": 123,
"gpt-4o": 123,
"gpt-4.1": 123,
"gpt-4.1-mini": 123,
"gpt-4.1-nano": 123,
"gpt-4o-mini": 123,
"gpt-4o-realtime": 123,
"gpt-4o-mini-realtime": 123,
"claude-4o-sonnet": 123,
"claude-3.7-sonnet": 123,
"claude-3.5-haiku": 123,
"gemini-2.0-flash": 123,
"gemini-2.0-flash-lite": 123,
"gemini-2.5-flash": 123,
"gemini-2.5-flash-lite": 123
},
"default_dynamic_variables": {}
}{
"success": true,
"message": "<string>",
"data": {}
}Agent
Get LLM
Retrieves the configuration of an existing LLM by its ID
GET
/
llm
/
update
/
{llm_id}
/
cURL
Authorizations
Headers
The name of the schema to be used for the request
Path Parameters
Unique identifier for the LLM to retrieve
Response
LLM retrieval response
Indicates whether the request was successful
Message describing the result of the request
Show child attributes
Show child attributes
Pricing details for available models
Show child attributes
Show child attributes
A dictionary of default dynamic variables used in the model
Show child attributes
Show child attributes
⌘I
